Activities: Simple Certificate

mod_simplecertificate
Maintained by Picture of Carlos Alexandre FonsecaCarlos Alexandre Fonseca
This is a new activity module, Simple Certificate,which no needs to change any code to add a new certificate format, and moodle's administrator don't need to upload image files. The certificate text are full customizable, using special text marks that will be replaced by variables (like student name, course name, grade, ...), don't need to change any translation file.
4244 sites
2k downloads
127 fans
Current versions available: 8

This is a new activity module, Simple Certificate, based on certificate module maintained by Mark Nelson, but simpler, no needs to change any code to add a new certificate format, and moodle's administrator don't need to upload image files.
The certificate text are full customizable, using special text marks that will be replaced by variables (like student name, course name, grade, ...), don't need to change any language file.


Video about basic usage of this plugin:


Thanks Matthew Nagy


Como usar o plugin,  em português:

Obrigado Marcelo Claro pela excelente contribuição

Twitter: @smplcertificate

If you like this plug-in and wants to help the developer, please make a donation (USD):

Donate with PayPal


Se você gostou desse plugin e quer ajudar o desenvolvedor, faça uma doação (BRL)


Doar em real


 bitcoin logoBitcoin
bitcoin qrcode address

17EtMRsvk84uQSbQxXxQjpk4RFQFrHFiKG

Screenshots

Screenshot #0

Contributors

Picture of Carlos Alexandre Fonseca
Carlos Alexandre Fonseca (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Comments

  • Picture of Carlos Alexandre Fonseca
    Thu, May 23, 2013, 2:21 AM
    Bob Neuner,
    You could try to install on moodle 2.5, i read about the changes on moodle 2.5 and i think theres no problems to install the 2.4 version on moodle 2.5, i thinks it will work.
  • Picture of Callan Rose
    Tue, Jun 4, 2013, 4:05 PM
    Very handy little plugin. Easy to use and suits our needs perfectly. Much for flexible than the standard "Certificate" plugin. Thanks.
  • Daniel
    Tue, Jun 4, 2013, 5:28 PM
    Ajouter un commentaire...Totally agree with you regarding the ease of use of this plugin.
  • Picture of Valter Almeida
    Thu, Jun 6, 2013, 3:49 AM
    Olá! É possível modificar a segunda página para acrescentar, por exemplo, a grade curricular juntamente com o QRCode? Este plugin é excelente, parabéns aos programadores!!!
  • Picture of Carlos Alexandre Fonseca
    Thu, Jun 6, 2013, 4:29 AM
    Valter Almeida, você pode colocar o que quiser nos textos, inclusive, se preferir uma imagem, a operação é idêntica ao da primeira página, os helps do plugin tem um texto explicando o que cada opção pode fazer.
    Você pode consultar a documentação do certificado http://docs.moodle.org/24/en/Simple_certificate_module

    A sim, aqui não é o fórum do plugin, o fórum fica em :
    https://moodle.org/mod/forum/discuss.php?d=222296
  • B.Havel
    Tue, Jun 11, 2013, 6:18 PM
    Nice work. Please be extended print to other languages ​​(character sets - embeded font PDF). Like certificate.
    Bohus
  • Picture of Carlos Alexandre Fonseca
    Tue, Jun 11, 2013, 8:58 PM
  • Daniel
    Wed, Jun 12, 2013, 12:32 AM
    Hello Bohumil,

    It is very easy to translate any Moodle module in a given language. "Changing the language pack."
    Regards
    Daniel
  • Daniel
    Wed, Jun 12, 2013, 12:33 AM
    Hello Bohumil,

    It is very easy to translate any Moodle module in a given language. "Modification language pack."
    Regards
    Daniel
  • Picture of Nick Rivers
    Thu, Jun 13, 2013, 1:29 AM
    I'm getting a Internal Server Error when I try and view the Simple Certificate.
  • Picture of Ivano Tamaggio
    Mon, Jul 1, 2013, 8:10 PM
    Hi Carlos,
    i've installed and activated your plugin. When i finish the course and try to generate the certificate, i get a Internal Sever Error. Could you suggest me a solution? Thanks
  • Picture of Gary Lyon
    Sat, Aug 24, 2013, 2:10 AM
    Carlos or anyone else, I have installed the most current version of Simple Certificate to a v2.5 Moodle install (Oracle 10g d/b). Whenever I print a test certificate (as system administrator)I get the number "1" in place of where I have place {DATE}. Any suggestions as to why the date is not printed? Thanks in advance.
  • Peter Jonker
    Thu, Sep 26, 2013, 9:15 PM
    I have tried installing the plugin on a Moodle 2.4.6 + environment using ofcourse the 2.4 version of the plugin. It gave me the errormessages below. Also tried the 2.3. version, same thing. Where is this error coming from and what do I do to get it working?

    mod_simplecertificate
    XML database file errors found
    More information about this error
    Debug info: Errors found in XMLDB file: Problem loading table simplecertificate, Some FIELDS previous/next values are incorrect
    Error code: ddlxmlfileerror
    Stack trace:
    • line 349 of /lib/ddl/database_manager.php: ddl_exception thrown
    • line 365 of /lib/ddl/database_manager.php: call to database_manager->load_xmldb_file()
    • line 596 of /lib/upgradelib.php: call to database_manager->install_from_xmldb_file()
    • line 360 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    • line 1544 of /lib/upgradelib.php: call to upgrade_plugins()
    • line 349 of /admin/index.php: call to upgrade_noncore()
  • Picture of Graham Moir
    Sat, Oct 5, 2013, 2:44 AM
    Just tried to install mod_simplecertificate_moodle25_2013092800 onto an empty/fresh Moodle 2.5.2+ site that is using the required MySQL version, but the installation failed with a SQL syntax error as follows:

    Debug info: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
    UPDATE mdl_simplecertificate SET disablecode = 1 WHERE id in ()
    [array (
    )]
    Error code: dmlwriteexception
    Stack trace:

    line 426 of /lib/dml/moodle_database.php: dml_write_exception thrown
    line 895 of /lib/dml/mysqli_native_moodle_database.php: call to moodle_database->query_end()
    line 129 of /mod/simplecertificate/db/upgrade.php: call to mysqli_native_moodle_database->execute()
    line 664 of /lib/upgradelib.php: call to xmldb_simplecertificate_upgrade()
    line 381 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1586 of /lib/upgradelib.php: call to upgrade_plugins()
    line 394 of /admin/index.php: call to upgrade_noncore()

    Any ideas?
    Thanks
  • Picture of Carlos Alexandre Fonseca
    Wed, Oct 9, 2013, 12:18 AM
    Please use the fórum https://moodle.org/mod/forum/discuss.php?d=222296

    but a fresh install does not use upgrade.php at all, it's only used when you upgrade plugins, try to remove the plugin from moodle an install it again.
Please login to post comments